=== debian/changelog ===
paperwork (2.2.5-3) unstable; urgency=medium

  * debian/tests: Ignore a flaky test on s390x architecture (Closes: #1107787)
  * debian/control: bump Standards-Version to 4.7.2 (no changes needed)
  * debian/copyright: Update copyright year

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 09 Jul 2025 17:22:59 +0200

paperwork (2.2.5-2) unstable; urgency=medium

  * debian/tests:
    + use safer check for disabled commands
    + split tests per package
    + skip failing tests on s390x
    + skip libreoffice related tests on riscv64
  * debian/patches: add patch to skip write to /dev/stderr
  * debian/control: add missing dependencies
  * debian/rules: use lower limit of fds for all paperwork-gtk calls
  * debian/clean:
    + fix paperwork-gtk egg-info path
    + remove old paths

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 14 Sep 2024 18:31:34 +0200

paperwork (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5 (Closes: #1080261, #1080263)
  * debian/watch: Fix upstream URL checking
  * debian/control: bump Standards-Version to 4.7.0 (no changes needed)
  * debian/rules: Rework the install logic
  * debian/patches:
    + Refresh patches for new release
    + Add patch to reduce logging verbosity when screenshotting
  * debian/copyright:
    + Change metainfo file path
    + Update copyright years
  * debian/tests: check the ping command

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 07 Sep 2024 17:19:26 +0200
