=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_VERBOSE = 1

PYTHON3_VERSIONS = $(shell py3versions -r)


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean -D openpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	dh_auto_clean -D openpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	dh_auto_clean -D paperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	dh_auto_clean -D paperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	dh_auto_clean -D paperwork-shell --buildsystem=pybuild -- --name paperwork-shell
	make -C paperwork-gtk/src/paperwork_gtk/model/help clean
	make -C paperwork-gtk/src/paperwork_gtk/icon clean

override_dh_auto_configure:
	dh_auto_configure -D openpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	dh_auto_configure -D openpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	dh_auto_configure -D paperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	dh_auto_configure -D paperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	dh_auto_configure -D paperwork-shell --buildsystem=pybuild -- --name paperwork-shell

override_dh_auto_build:
	dh_auto_build -D openpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	PYTHONPATH=openpaperwork-core/src python3 -m sphinx -N -bhtml openpaperwork-core/doc _build/openpaperwork_core/html
	dh_auto_build -D openpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	PYTHONPATH=openpaperwork-gtk/src python3 -m sphinx -N -bhtml openpaperwork-gtk/doc _build/openpaperwork_gtk/html
	make -C paperwork-gtk/src/paperwork_gtk/icon data
	dh_auto_build -D paperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	make -C paperwork-backend data
	dh_auto_build -D paperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	PYTHONPATH=paperwork-backend/src python3 -m sphinx -N -bhtml paperwork-backend/doc _build/paperwork_backend/html
	dh_auto_build -D paperwork-shell --buildsystem=pybuild -- --name paperwork-shell
	rst2man debian/paperwork-gtk.rst debian/paperwork-gtk.1
	rst2man debian/paperwork-cli.rst debian/paperwork-cli.1
	rst2man debian/paperwork-json.rst debian/paperwork-json.1
	$(CURDIR)/tools/l10n_compile.sh openpaperwork-core/l10n openpaperwork-core/src/openpaperwork_core/l10n openpaperwork_core
	$(CURDIR)/tools/l10n_compile.sh openpaperwork-gtk/l10n openpaperwork-gtk/src/openpaperwork_gtk/l10n openpaperwork_gtk
	$(CURDIR)/tools/l10n_compile.sh paperwork-gtk/l10n paperwork-gtk/src/paperwork_gtk/l10n paperwork_gtk
	$(CURDIR)/tools/l10n_compile.sh paperwork-backend/l10n paperwork-backend/src/paperwork_backend/l10n paperwork_backend
	$(CURDIR)/tools/l10n_compile.sh paperwork-shell/l10n paperwork-shell/src/paperwork_shell/l10n paperwork_shell

override_dh_auto_install:
	dh_auto_install -D openpaperwork-core -popenpaperwork-core --buildsystem=pybuild -- --name openpaperwork-core
	mv debian/python3-openpaperwork-core debian/openpaperwork-core
	dh_auto_install -D openpaperwork-gtk -popenpaperwork-gtk --buildsystem=pybuild -- --name openpaperwork-gtk
	mv debian/python3-openpaperwork-gtk debian/openpaperwork-gtk
	dh_auto_install -D paperwork-gtk -ppaperwork-gtk --buildsystem=pybuild -- --name paperwork-gtk
	mv debian/python3-paperwork-gtk debian/paperwork-gtk
	dh_auto_install -D paperwork-backend -ppaperwork-backend --buildsystem=pybuild -- --name paperwork-backend
	mv debian/python3-paperwork-backend debian/paperwork-backend
	dh_auto_install -D paperwork-shell -ppaperwork-shell --buildsystem=pybuild -- --name paperwork-shell
	mv debian/python3-paperwork-shell debian/paperwork-shell

	# libinsane tries to close all possible file descriptors
	# and sbuild seems to set the soft to the hard value which
	# is 1073741816 on my Debian/sid system
	ulimit -Sn
	ulimit -Sn 1024 && PYTHONPATH="$(CURDIR)/debian/openpaperwork-core/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/openpaperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-backend/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-shell/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/paperwork-gtk/usr/bin:$(CURDIR)/debian/paperwork-shell/usr/bin:$(PATH)" make -C paperwork-gtk/src/paperwork_gtk/model/help data
	mkdir -p debian/paperwork-gtk/usr/share
	mkdir -p debian/tmp/paperwork-home/config
	ulimit -Sn 1024 && PYTHONPATH="$(CURDIR)/debian/openpaperwork-core/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/openpaperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-backend/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-shell/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/paperwork-gtk/usr/bin:$(CURDIR)/debian/paperwork-shell/usr/bin:$(PATH)" XDG_DATA_HOME="$(CURDIR)/debian/paperwork-gtk/usr/share" XDG_CONFIG_HOME="$(CURDIR)/debian/tmp/paperwork-home/config" paperwork-gtk plugins add paperwork_gtk.cmd.install
	ulimit -Sn 1024 && PYTHONPATH="$(CURDIR)/debian/openpaperwork-core/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/openpaperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-backend/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-gtk/usr/lib/$(shell py3versions -d)/dist-packages/:$(CURDIR)/debian/paperwork-shell/usr/lib/$(shell py3versions -d)/dist-packages/" PAPERWORK_TEST_DOCUMENTS="$(CURDIR)/test-documents/" PATH="$(CURDIR)/debian/paperwork-gtk/usr/bin:$(CURDIR)/debian/paperwork-shell/usr/bin:$(PATH)" XDG_DATA_HOME="$(CURDIR)/debian/paperwork-gtk/usr/share" XDG_CONFIG_HOME="$(CURDIR)/debian/tmp/paperwork-home/config" paperwork-gtk install --user
	$(RM) -r debian/paperwork-gtk/usr/share/paperwork2
	$(RM) -r debian/tmp/paperwork-home

override_dh_auto_test:

# Do not compress pdf files as they are needed in paperwork and compressed files
# are not supported yet see https://gitlab.gnome.org/World/OpenPaperwork/paperwork/-/issues/1079
override_dh_compress:
	dh_compress -X.pdf
