=== debian/tests/control ===
Tests: dangerous-plugins-disabled
Depends: @
Restrictions: allow-stderr

Tests: openpaperwork-core-unittests
Depends: openpaperwork-core, python3-pytest-cov

Tests: openpaperwork-gtk-unittests
Depends: openpaperwork-gtk, python3-pytest-cov

Tests: paperwork-backend-unittests
Depends: paperwork-backend, python3-pytest-cov, tesseract-ocr, libreoffice [!riscv64]

Tests: paperwork-backend-unittests-flaky
Depends: @, python3-pytest, libreoffice
Architecture: !riscv64
Restrictions: allow-stderr, flaky

Tests: paperwork-gtk-unittests
Depends: paperwork-gtk, python3-pytest-cov

Tests: paperwork-shell-unittests
Depends: paperwork-shell, python3-pytest-cov

Tests: check-deps
Depends: @, jq, libreoffice [!riscv64]
Restrictions: allow-stderr

Test-Command: /usr/bin/paperwork-gtk --help
Depends: paperwork-gtk
Restrictions: superficial, allow-stderr
Features: test-name=paperwork
