=== debian/watch ===
version=4
opts="searchmode=plain,uversionmangle=s/\.post/post/" \
  https://gitlab.gnome.org/World/OpenPaperwork/paperwork/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
opts="searchmode=plain,component=test-documents" \
  https://gitlab.gnome.org/World/OpenPaperwork/paperwork-test-documents/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-test-documents-@ANY_VERSION@@ARCHIVE_EXT@ ignore uupdate
